package ru.yandex.wmconsole.data.info;

import ru.yandex.wmconsole.data.MainMirrorRequestStateEnum;
import ru.yandex.wmconsole.data.MainMirrorStateEnum;

import java.util.Date;

/**
 * @author avhaliullin
 */
public class ShortMainMirrorRequestInfo {
    private final MainMirrorRequestStateEnum requestState;
    private final MainMirrorStateEnum state;
    private final Date created;
    private final Date modified;
    private final long hostId;

    public ShortMainMirrorRequestInfo(MainMirrorRequestStateEnum requestState, MainMirrorStateEnum state, Date created, Date modified, long hostId) {
        this.requestState = requestState;
        this.state = state;
        this.created = created;
        this.modified = modified;
        this.hostId = hostId;
    }

    public MainMirrorRequestStateEnum getRequestState() {
        return requestState;
    }

    public MainMirrorStateEnum getState() {
        return state;
    }

    public Date getCreated() {
        return created;
    }

    public Date getModified() {
        return modified;
    }

    public long getHostId() {
        return hostId;
    }
}
